--- old/usr/src/cmd/zic/zone_sun.tab	Thu Sep  4 11:50:13 2014
+++ new/usr/src/cmd/zic/zone_sun.tab	Thu Sep  4 11:50:13 2014
@@ -40,8 +40,9 @@
 AQ	-6835+07758	Antarctica/Davis	-	Davis Station, Vestfold Hills
 AQ	-6617+11031	Antarctica/Casey	-	Casey Station, Bailey Peninsula
 AQ	-7824+10654	Antarctica/Vostok	-	Vostok Station, Lake Vostok
-AQ	-6640+14001	Antarctica/DumontDUrville	-	Dumont-d'Urville Station, Terre Adelie
+AQ	-6640+14001	Antarctica/DumontDUrville	-	Dumont-d'Urville Station, Adelie Land
 AQ	-690022+0393524	Antarctica/Syowa	-	Syowa Station, E Ongul I
+AQ	-720041+0023206	Antarctica/Troll	-	Troll Station, Queen Maud Land
 AR	-3436-05827	America/Argentina/Buenos_Aires	America/Buenos_Aires	Buenos Aires (BA, CF)
 AR	-3124-06411	America/Argentina/Cordoba	America/Cordoba	most locations (CB, CC, CN, ER, FM, MN, SE, SF)
 AR	-2447-06525	America/Argentina/Salta	-	(SA, LP, NQ, RN)
@@ -118,7 +119,7 @@
 CA	+4823-08915	America/Thunder_Bay	-	Eastern Time - Thunder Bay, Ontario
 CA	+6344-06828	America/Iqaluit	-	Eastern Time - east Nunavut - most locations
 CA	+6608-06544	America/Pangnirtung	-	Eastern Time - Pangnirtung, Nunavut
-CA	+744144-0944945	America/Resolute	-	Central Standard Time - Resolute, Nunavut
+CA	+744144-0944945	America/Resolute	-	Central Time - Resolute, Nunavut
 CA	+484531-0913718	America/Atikokan	-	Eastern Standard Time - Atikokan, Ontario and Southampton I, Nunavut
 CA	+624900-0920459	America/Rankin_Inlet	-	Central Time - central Nunavut
 CA	+4953-09709	America/Winnipeg	Canada/Central	Central Time - Manitoba & west Ontario
@@ -143,13 +144,10 @@
 CI	+0519-00402	Africa/Abidjan	-
 CK	-2114-15946	Pacific/Rarotonga	-
 CL	-3327-07040	America/Santiago	Chile/Continental	most locations
-CL	-2709-10926	Pacific/Easter	Chile/EasterIsland	Easter Island & Sala y Gomez
+CL	-2709-10926	Pacific/Easter	Chile/EasterIsland	Easter Island
 CM	+0403+00942	Africa/Douala	-
-CN	+3114+12128	Asia/Shanghai	PRC	east China - Beijing, Guangdong, Shanghai, etc.
-CN	+4545+12641	Asia/Harbin	-	Heilongjiang (except Mohe), Jilin
-CN	+2934+10635	Asia/Chongqing	-	central China - Sichuan, Yunnan, Guangxi, Shaanxi, Guizhou, etc.
-CN	+4348+08735	Asia/Urumqi	-	most of Tibet & Xinjiang
-CN	+3929+07559	Asia/Kashgar	-	west Tibet & Xinjiang
+CN	+3114+12128	Asia/Shanghai	-	Beijing Time
+CN	+4348+08735	Asia/Urumqi	-	Xinjiang Time
 CO	+0436-07405	America/Bogota	-
 CR	+0956-08405	America/Costa_Rica	-
 CU	+2308-08222	America/Havana	-
@@ -158,8 +156,8 @@
 CX	-1025+10543	Indian/Christmas	-
 CY	+3510+03322	Asia/Nicosia	-
 CZ	+5005+01426	Europe/Prague	-
-DE	+5230+01322	Europe/Berlin	-
-DE	+4742+00841	Europe/Busingen	Busingen
+DE	+5230+01322	Europe/Berlin	-	most locations
+DE	+4742+00841	Europe/Busingen	-	Busingen
 DJ	+1136+04309	Africa/Djibouti	-
 DK	+5540+01235	Europe/Copenhagen	-
 DM	+1518-06124	America/Dominica	-
@@ -331,23 +329,26 @@
 RO	+4426+02606	Europe/Bucharest	-
 RS	+4450+02030	Europe/Belgrade	-
 RU	+5443+02030	Europe/Kaliningrad	-	Moscow-01 - Kaliningrad
-RU	+5545+03735	Europe/Moscow	-	Moscow+00 - west Russia
+RU	+554521+0373704	Europe/Moscow	-	Moscow+00 - west Russia
+RU	+4457+03406	Europe/Simferopol	-	Moscow+00 - Crimea
 RU	+4844+04425	Europe/Volgograd	-	Moscow+00 - Caspian Sea
-RU	+5312+05009	Europe/Samara	-	Moscow+00 - Samara, Udmurtia
+RU	+5312+05009	Europe/Samara	-	Moscow+00 (Moscow+01 after 2014-10-26) - Samara, Udmurtia
 RU	+5651+06036	Asia/Yekaterinburg	-	Moscow+02 - Urals
 RU	+5500+07324	Asia/Omsk	-	Moscow+03 - west Siberia
 RU	+5502+08255	Asia/Novosibirsk	-	Moscow+03 - Novosibirsk
-RU	+5345+08707	Asia/Novokuznetsk	-	Moscow+03 - Novokuznetsk
+RU	+5345+08707	Asia/Novokuznetsk	-	Moscow+03 (Moscow+04 after 2014-10-26) - Novokuznetsk
 RU	+5601+09250	Asia/Krasnoyarsk	-	Moscow+04 - Yenisei River
 RU	+5216+10420	Asia/Irkutsk	-	Moscow+05 - Lake Baikal
+RU	+5203+11328	Asia/Chita	-	Moscow+06 (Moscow+05 after 2014-10-26) - Zabaykalsky
 RU	+6200+12940	Asia/Yakutsk	-	Moscow+06 - Lena River
 RU	+623923+1353314	Asia/Khandyga	-	Moscow+06 - Tomponsky, Ust-Maysky
 RU	+4310+13156	Asia/Vladivostok	-	Moscow+07 - Amur River
 RU	+4658+14242	Asia/Sakhalin	-	Moscow+07 - Sakhalin Island
 RU	+643337+1431336	Asia/Ust-Nera	-	Moscow+07 - Oymyakonsky
-RU	+5934+15048	Asia/Magadan	-	Moscow+08 - Magadan
-RU	+5301+15839	Asia/Kamchatka	-	Moscow+08 - Kamchatka
-RU	+6445+17729	Asia/Anadyr	-	Moscow+08 - Bering Sea
+RU	+5934+15048	Asia/Magadan	-	Moscow+08 (Moscow+07 after 2014-10-26) - Magadan
+RU	+6728+15343	Asia/Srednekolymsk	-	Moscow+08 - E Sakha, N Kuril Is
+RU	+5301+15839	Asia/Kamchatka	-	Moscow+08 (Moscow+09 after 2014-10-26) - Kamchatka
+RU	+6445+17729	Asia/Anadyr	-	Moscow+08 - (Moscow+09 after 2014-10-26) Bering Sea
 RW	-0157+03004	Africa/Kigali	-
 SA	+2438+04643	Asia/Riyadh	-
 SB	-0932+16012	Pacific/Guadalcanal	-
@@ -389,7 +390,6 @@
 UA	+5026+03031	Europe/Kiev	-	most locations
 UA	+4837+02218	Europe/Uzhgorod	-	Ruthenia
 UA	+4750+03510	Europe/Zaporozhye	-	Zaporozh'ye, E Lugansk / Zaporizhia, E Luhansk
-UA	+4457+03406	Europe/Simferopol	-	central Crimea
 UG	+0019+03225	Africa/Kampala	-
 UM	+1645-16931	Pacific/Johnston	-	Johnston Atoll
 UM	+2813-17722	Pacific/Midway	-	Midway Islands
@@ -415,6 +415,7 @@
 US	+433649-1161209	America/Boise	-	Mountain Time - south Idaho & east Oregon
 US	+332654-1120424	America/Phoenix	US/Arizona	Mountain Standard Time - Arizona
 US	+340308-1181434	America/Los_Angeles	US/Pacific	Pacific Time
+US	+550737-1313435	America/Metlakatla	-	Pacific Standard Time - Annette Island, Alaska
 US	+611305-1495401	America/Anchorage	US/Alaska	Alaska Time
 US	+581807-1342511	America/Juneau	-	Alaska Time - Alaska panhandle
 US	+571035-1351807	America/Sitka	-	Alaska Time - southeast Alaska panhandle
@@ -421,7 +422,6 @@
 US	+593249-1394338	America/Yakutat	-	Alaska Time - Alaska panhandle neck
 US	+643004-1652423	America/Nome	-	Alaska Time - west Alaska
 US	+515248-1763929	America/Adak	US/Aleutian	Aleutian Islands
-US	+550737-1313435	America/Metlakatla	-	Metlakatla Time - Annette Island
 US	+211825-1575130	Pacific/Honolulu	US/Hawaii	Hawaii
 UY	-3453-05611	America/Montevideo	-
 UZ	+3940+06648	Asia/Samarkand	-	west Uzbekistan
